Bug 227997 - sysutils/lsof build failure on -CURRENT, ./lockf_owner.h creation failed (see 00FAQ)
Summary: sysutils/lsof build failure on -CURRENT, ./lockf_owner.h creation failed (see...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Larry Rosenman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-05 12:57 UTC by Graham Perrin
Modified: 2018-05-18 11:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ler)


Attachments
full log (11.49 KB, text/plain)
2018-05-05 13:01 UTC, Graham Perrin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2018-05-05 12:57:07 UTC
root@momh167-gjp4-hpelitebook8570p-freebsd:/usr/local/poudriere/data/logs/bulk/current-default/2018-05-05_13h47m35s/logs # poudriere jail -l
JAILNAME VERSION                      ARCH  METHOD TIMESTAMP           PATH
current  12.0-CURRENT 1200062 r333256 amd64 svn    2018-05-05 00:35:35 /usr/local/poudriere/jails/current
root@momh167-gjp4-hpelitebook8570p-freebsd:/usr/local/poudriere/data/logs/bulk/current-default/2018-05-05_13h47m35s/logs # tail -n 25 lsof-4.91,8.log
=======================<phase: configure      >============================
===>  Configuring for lsof-4.91,8
Creating ./lockf_owner.h from /usr/src/sys/kern/kern_lockf.c
test: 196: unexpected operator
test: 196: unexpected operator
test: 196: unexpected operator
test: 196: unexpected operator
test: 196: unexpected operator
test: 196: unexpected operator
FATAL ERROR: ./lockf_owner.h creation failed (see 00FAQ)
===>  Script "Configure" failed unexpectedly.
Please report the problem to ler@FreeBSD.org [maintainer] and attach the
"/wrkdirs/usr/ports/sysutils/lsof/work/lsof_4.91/lsof_4.91_src/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/sysutils/lsof
=>> Cleaning up wrkdir
===>  Cleaning for lsof-4.91,8
build of sysutils/lsof | lsof-4.91,8 ended at Sat May  5 13:48:29 BST 2018
build time: 00:00:08
!!! build failure encountered !!!



----



root@momh167-gjp4-hpelitebook8570p-freebsd:~ # cat /usr/local/poudriere/ports/default/sysutils/lsof/work/lsof_4.91/lsof_4.91_src/config.log
cat: /usr/local/poudriere/ports/default/sysutils/lsof/work/lsof_4.91/lsof_4.91_src/config.log: No such file or directory
Comment 1 Graham Perrin 2018-05-05 13:01:26 UTC
Created attachment 193064 [details]
full log

The build failure occurs when I use poudriere to attempt a build of recently updated sysutils/htop 2.2.0. 

----

root@momh167-gjp4-hpelitebook8570p-freebsd:~ # poudriere ports -l
PORTSTREE METHOD   TIMESTAMP           PATH
default   portsnap 2018-05-05 13:47:27 /usr/local/poudriere/ports/default
Comment 2 Larry Rosenman freebsd_committer 2018-05-05 13:04:43 UTC
I'm updating my 12-CURRENT box/jail to beyond your rev and will get back to you after that is finished. 

Thanks for the report.
Comment 3 Larry Rosenman freebsd_committer 2018-05-05 16:07:34 UTC
I was able to replicate the failure, now to figure out why :(
Comment 4 Graham Perrin 2018-05-06 17:48:38 UTC
I now have the packaged htop 2.2.0 and lsof 4.91,8 from the main FreeBSD repository, 

    url             : "pkg+http://pkg.FreeBSD.org/FreeBSD:12:amd64/latest",

----

Still, I can't build lsof with poudriere from an updated ports tree, 

root@momh167-gjp4-hpelitebook8570p-freebsd:~ # poudriere ports -l
PORTSTREE METHOD   TIMESTAMP           PATH
default   portsnap 2018-05-06 18:47:32 /usr/local/poudriere/ports/default
Comment 5 Larry Rosenman freebsd_committer 2018-05-06 18:12:11 UTC
There were a BUNCH of commits to kern_lockf.c by mjg@.  I've asked him to look at it.

Thanka.
Comment 6 commit-hook freebsd_committer 2018-05-06 19:40:58 UTC
A commit references this bug:

Author: ler
Date: Sun May  6 19:40:17 UTC 2018
New revision: 469248
URL: https://svnweb.freebsd.org/changeset/ports/469248

Log:
  sysutils/lsof: upgrade to 4.92A to support recent -CURRENT

  PR:	227997
  Reported by:  grahamperrin@gmail.com
  Approved by:	Vic Abell (Author)

Changes:
  head/sysutils/lsof/Makefile
  head/sysutils/lsof/distinfo
Comment 7 Larry Rosenman freebsd_committer 2018-05-06 19:41:14 UTC
Vic Abell, Author of lsof, was kind enough to generate a fix, now committed to the tree.
Comment 8 Graham Perrin 2018-05-07 11:35:37 UTC
Fix confirmed, thank you both!



----



…
[00:00:24] Building 2 packages using 1 builders
[00:00:24] Starting/Cloning builders
[00:00:25] Hit CTRL+t at any time to see build progress and stats
[00:00:25] [01] [00:00:00] Building sysutils/lsof | lsof-4.92.a,8
[00:00:47] [01] [00:00:22] Finished sysutils/lsof | lsof-4.92.a,8: Success
[00:00:48] [01] [00:00:00] Building sysutils/htop | htop-2.2.0
[00:01:19] [01] [00:00:31] Finished sysutils/htop | htop-2.2.0: Success
…
Comment 9 commit-hook freebsd_committer 2018-05-18 11:21:03 UTC
A commit references this bug:

Author: swills
Date: Fri May 18 11:20:07 UTC 2018
New revision: 470287
URL: https://svnweb.freebsd.org/changeset/ports/470287

Log:
  MFH: r469248

  MFH'ing build fix for -CURRENT

  sysutils/lsof: upgrade to 4.92A to support recent -CURRENT

  PR:	227997
  Reported by:  grahamperrin@gmail.com
  Approved by:	Vic Abell (Author)

  Approved by:	ports-secteam (implicit)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/sysutils/lsof/Makefile
  branches/2018Q2/sysutils/lsof/distinfo